const STEEL_INGOTS = [
    'create_ironworks:steel_ingot',
    'createnuclear:steel_ingot',
    'tfmg:steel_ingot'
]

const LEAD_INGOTS = [
    'oreganized:lead_ingot'
]

const COAL_DUST = [
    'createnuclear:coal_dust'
]

const REMOVED_RECIPES = [
    'create_cogs_invaders:deepslate_sulfur_ore',
    'create_cogs_invaders:powdered_sulfur',
    'create_cogs_invaders:raw_sulfur_block',
    'create_cogs_invaders:sulfur_ore',
    'create_ironworks:crushed_raw_tin',
    'createnuclear:coal_dust',
    'createnuclear:raw_uranium_block',
    'createnuclear:raw_uranium',
    'createnuclear:reactor_controller',
    'createnuclear:steel_block',
    'oreganized:lead_nugget',
    /^create_sa:\w+_[axe|pickaxe|hoe|sword|shovel]/, 
    /^create_sa:\w+_[helmet|chestplate|leggings|boots]/, 
    /^create:crushed_raw_\w+/,
    /^createnuclear:reactor_\w+/,
    /^vintage:(?!zinc_rod|iron_spring)\w+_(spring|wire|sheet|rod|ingot)$/
]



ServerEvents.recipes(event => {
    STEEL_INGOTS.forEach(id => {
        event.remove({ output: id })
        event.replaceInput({}, id, 'createmetallurgy:steel_ingot');
    })

    LEAD_INGOTS.forEach(id => {
        event.remove({ output: id })
        event.replaceInput({}, id, 'createnuclear:lead_ingot');
    })

    COAL_DUST.forEach(id => {
        event.remove({ output: id })
        event.replaceInput({}, id, 'create_ironworks:coal_dust');
    })

    REMOVED_RECIPES.forEach(id => {
        event.remove({ input: id })
        event.remove({ output: id })
    })
});